#!/usr/bin/env python

"""
example1.py

Simple demo of SSLCrypto
"""

#from pdb import set_trace as trace
import SSLCrypto

secretString = "Hello, this string will be encrypted"

# Create a key object
print "Generating 2048-bit keypair - could take a while..."
k = SSLCrypto.key(2048)

# Encrypt a string
print "Unencrypted string: '%s'" % secretString
enc = k.encString(secretString)

# Now decrypt it
dec = k.decString(enc)
print "Decrypted string: '%s'" % dec

